# H323PluginCapabilityInfo Class Reference

`#include <opalpluginmgr.h>`

List of all members.

## Public Member Functions

| H323PluginCapabilityInfo (const PluginCodec_Definition *_encoderCodec, const PluginCodec_Definition *_decoderCodec)
| H323PluginCapabilityInfo (const PString &_baseName)
const PString & | GetFormatName () const

## Protected Attributes

const PluginCodec_Definition * | encoderCodec
const PluginCodec_Definition * | decoderCodec
PString | capabilityFormatName

## Constructor & Destructor Documentation

H323PluginCapabilityInfo::H323PluginCapabilityInfo | ( | const PluginCodec_Definition * | _encoderCodec,
|  | const PluginCodec_Definition * | _decoderCodec |
| ) |  |  |

H323PluginCapabilityInfo::H323PluginCapabilityInfo | ( | const PString & | _baseName | ) |

## Member Function Documentation

const PString& H323PluginCapabilityInfo::GetFormatName | ( |  | ) | const`[inline]`

## Member Data Documentation

const PluginCodec_Definition* H323PluginCapabilityInfo::encoderCodec `[protected]`

const PluginCodec_Definition* H323PluginCapabilityInfo::decoderCodec `[protected]`

PString H323PluginCapabilityInfo::capabilityFormatName `[protected]`

The documentation for this class was generated from the following file:

- opalpluginmgr.h